%{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%{!?ruby_sitearch: %global ruby_sitearch %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

Name:          	powershell
Version:        6.0.0_beta.7
Release:       	1%{?dist}
Summary:       	PowerShell is an automation and configuration management platform. 
License:       	MIT License 
URL:           	https://github.com/PowerShell/PowerShell
Vendor:		Oracle America, Inc. 
Source:         %name-%version.tar.gz
BuildRequires:  which curl gcc-c++ cmake make powershell sed yum
BuildRequires:  ruby ruby-devel libicu libunwind groff git glibc-common sudo openssl-libs
Requires:       glibc libicu openssl libunwind uuid zlib libcurl libgcc ncurses-base libstdc++ openssl-libs 
Provides:	libcrypto.so.1.0.0()(64bit)
Provides:	libssl.so.1.0.0()(64bit)	
Patch4:         0004-Support-Oracle-Linux-7.patch 

%define release_tag %(echo %{version} | sed 's/_/-/') 
%define debug_package %{nil}

%description
PowerShell is an automation and configuration management platform.
It consists of a cross-platform command-line shell and associated scripting language.


%prep
%setup
%patch4 -p1
mv /etc/os-release /etc/os-release.psbuild
sed -e "/VERSION_ID/s/7.[0-9]/7/" /etc/os-release.psbuild > /etc/os-release

%build
export LANG=en_US.UTF-8
export LC_ALL=$LANG
export PATH=$PATH:/usr/local/share/gems/gems/fpm-1.8.1/bin:/usr/local/share/gems/gems/ronn-0.7.3/bin
# run localedef in sudo mode
sudo localedef --charmap=UTF-8 --inputfile=en_US $LANG
powershell -command "
Import-Module ./build.psm1
Import-Module ./tools/packaging/packaging.psm1
Start-PSBootstrap -Package
Start-PSBuild -Crossgen -Clean -PSModuleRestore -Runtime ol.7-x64
Start-PSPackage -Type rpm
"

rm -f /etc/os-release
mv /etc/os-release.psbuild /etc/os-release

%install
install -m 755 -d $RPM_BUILD_ROOT/opt/microsoft/%{name}/%{release_tag}
cp -Prv tools/packaging/staging/* $RPM_BUILD_ROOT/opt/microsoft/%{name}/%{release_tag}
mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -s /opt/microsoft/%{name}/%{release_tag}/powershell $RPM_BUILD_ROOT/usr/bin/powershell
mkdir -p $RPM_BUILD_ROOT/usr/local/share/man/man1
cp assets/powershell.1.gz $RPM_BUILD_ROOT/usr/local/share/man/man1/powershell.1.gz 

%clean
rm -rf $RPM_BUILD_ROOT
 
%post
#!/bin/sh
if [ ! -f /etc/shells ] ; then
    echo "/usr/bin/powershell" > /etc/shells
else
    grep -q "^/usr/bin/powershell$" /etc/shells || echo "/usr/bin/powershell" >> /etc/shells
fi

%postun
if [ "$1" = 0 ] ; then
    if [ -f /etc/shells ] ; then
        TmpFile=`/bin/mktemp /tmp/.powershellmXXXXXX`
        grep -v '^/usr/bin/powershell$' /etc/shells > $TmpFile
        cp -f $TmpFile /etc/shells
        rm -f $TmpFile
    fi
fi

%files
%defattr(-,root,root,-)
%dir %attr(0755,root,root) /opt
/opt/microsoft/%{name}/%{release_tag}/*
/usr/bin/powershell
/usr/local/share/man/man1/powershell.1.gz

%changelog
* Mon Sep 25 2017 Alan Steinberg <alan.steinberg@oracle.com> - 6.0.0_beta.7-1.el7 
- OL merge for 6.0.0_beta.7

* Tue May 30 2017 Alan Steinberg <alan.steinberg@oracle.com> - 6.0.0_beta.1-1.el7 
- removed dirty tag from powershell.version
- changed source URL to point to github

* Wed May 24 2017 Alan Steinberg <alan.steinberg@oracle.com> - 6.0.0_beta.1-1.el7 
- converted to build from gzip source
- added second patch to work around workaround for upstream https://github.com/PowerShell/PowerShell/pull/3740

* Thu May 18 2017 Tianyue Lan <tianyue.lan@oracle.com> - 6.0.0_beta.1-1.el7 
- updated patch to handle dotnet-install.sh
- added provides for libcrypto.so.1.0.0 and libssl.so.1.0.0

* Wed May 10 2017 Tianyue Lan <tianyue.lan@oracle.com> - 6.0.0_alpha.17-1.el7 
- initialize it
